Subject: Re: The git spring cleanup challenge

From: Sergey Organov <[email-masked]>
Date: Thu, 03 Jun 2021 01:05:39 +0300

Felipe Contreras <[email-masked]> writes:

> Sergey Organov wrote:
>> Felipe Contreras <[email-masked]> writes:
>> 
>> > Sergey Organov wrote:
>> >> Felipe Contreras <[email-masked]> writes:
>> >
>> >> > These are the configurations I've chosen:
>> >> >
>> >> >   [merge]
>> >> >     conflictstyle = diff3
>> >> >   [sendemail]
>> >> >     smtpserver = /usr/bin/msmtp
>> >> >
>> >> 
>> >> [pull]
>> >> 	rebase = merges
>> >
>> > Can you do `git pull --rebase=merges` for a while?
>> 
>> I never use 'git pull' for merging, and all the time with rebasing, so
>> what's the point? I mean, whenever I do 'git pull' I mean 'git pull
>> --rebase', and whenever I need to merge, I exclusively use'git merge'.
>
> So you can remove that configuration.

Sorry, I can't, see below.

>
> And afterwareds set pull.rebase=true so you don't need to specify
> --rebase.

I don't get it. What's the point using pull.rebase=true instead of
pull.rebase=merges? The former is plain total disaster in my opinion as
it silently breaks history shape. I'd rather suggest to make
pull.rebase=true a synonym for pull.rebase=merges.

Thanks,
-- Sergey Organov